<VirtualHost *:80>
  DocumentRoot /usr/share/checkip
  ServerName checkip.dyndns.com
  ServerAlias checkip.dyndns.org checkip.example.com
  CustomLog /var/log/apache2/checkip_access.log combined
  Options +ExecCGI
  AddHandler cgi-script .cgi
  RewriteEngine on
  RewriteCond %{REQUEST_URI} ^/$
  RewriteRule (.*) /usr/share/checkip/checkip.cgi
</VirtualHost>

<VirtualHost *:80>
  DocumentRoot /usr/share/members
  ServerName members.dyndns.org
  ServerAlias members.example.com members.dyndns.com
  CustomLog /var/log/apache2/members_access.log combined
  Options +ExecCGI
  AddHandler cgi-script .cgi
  RewriteEngine on
  RewriteCond %{REQUEST_URI} ^/nic/update$
  RewriteRule (.*) /usr/share/members/update.cgi
  <Location />
    AuthType Basic
    AuthUserFile /usr/share/members/ollo2503
    AuthGroupFile /dev/null
    AuthName "DyDN API Access."
    Order allow,deny
    Deny from all
    Satisfy any
    Require valid-user
  </Location>
</VirtualHost>
